Get agent details
Returns one agent by catalog id, or by name (and version, latest by default), with its manifest.
Requires a role with the agents.view permission in the organization given by org_id.
POST
/
v1
/
agents
/
get_details
Get agent details
curl --request POST \
--url https://{host}/v1/agents/get_details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "jira-sync"
}
'import requests
url = "https://{host}/v1/agents/get_details"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "jira-sync"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f', name: 'jira-sync'})
};
fetch('https://{host}/v1/agents/get_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/agents/get_details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'name' => 'jira-sync'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/agents/get_details"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"name\": \"jira-sync\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/agents/get_details")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"name\": \"jira-sync\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/agents/get_details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"name\": \"jira-sync\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"name": "jira-sync",
"version": "0.3.0",
"description": "Syncs review findings to Jira issues.",
"agent_type": "exec",
"is_system": false,
"created_at": 1759000000000,
"updated_at": 1759000000000
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
Organization this call targets. Caller must be authorized for this org
Catalog row UUID — mutually exclusive with name
Agent catalog name — mutually exclusive with id
Minimum string length:
1With name only: pin version; omit for newest active row
Minimum string length:
1When false, omit the manifest from the response (default true)
⌘I
Get agent details
curl --request POST \
--url https://{host}/v1/agents/get_details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "jira-sync"
}
'import requests
url = "https://{host}/v1/agents/get_details"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "jira-sync"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f', name: 'jira-sync'})
};
fetch('https://{host}/v1/agents/get_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/agents/get_details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'name' => 'jira-sync'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/agents/get_details"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"name\": \"jira-sync\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/agents/get_details")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"name\": \"jira-sync\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/agents/get_details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"name\": \"jira-sync\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "5a6b7c8d-9e0f-4a1b-8c2d-3e4f5a6b7c8d",
"name": "jira-sync",
"version": "0.3.0",
"description": "Syncs review findings to Jira issues.",
"agent_type": "exec",
"is_system": false,
"created_at": 1759000000000,
"updated_at": 1759000000000
}
}